# MSP::CCS::SevenParameterDatum Class Reference

`#include <SevenParameterDatum.h>`

Inheritance diagram for MSP::CCS::SevenParameterDatum:

List of all members.

## Public Member Functions

| SevenParameterDatum ()
| SevenParameterDatum (long __index, char *__code, char *__ellipsoidCode, char *__name, DatumType::Enum __datumType, double __deltaX, double __deltaY, double __deltaZ, double __westLongitude, double __eastLongitude, double __southLatitude, double __northLatitude, double __rotationX, double __rotationY, double __rotationZ, double __scaleFactor, bool __userDefined)
| ~SevenParameterDatum (void)
double | rotationX () const
double | rotationY () const
double | rotationZ () const
double | scaleFactor () const

## Detailed Description

Definition at line 14 of file SevenParameterDatum.h.

## Constructor & Destructor Documentation

SevenParameterDatum::SevenParameterDatum | ( |  | ) |

Definition at line 21 of file SevenParameterDatum.cpp.

SevenParameterDatum::SevenParameterDatum | ( | long | __index,
|  | char * | __code,
|  | char * | __ellipsoidCode,
|  | char * | __name,
|  | DatumType::Enum | __datumType,
|  | double | __deltaX,
|  | double | __deltaY,
|  | double | __deltaZ,
|  | double | __westLongitude,
|  | double | __eastLongitude,
|  | double | __southLatitude,
|  | double | __northLatitude,
|  | double | __rotationX,
|  | double | __rotationY,
|  | double | __rotationZ,
|  | double | __scaleFactor,
|  | bool | __userDefined |
| ) |  |  |

Definition at line 31 of file SevenParameterDatum.cpp.

SevenParameterDatum::~SevenParameterDatum | ( | void |  | ) |

Definition at line 44 of file SevenParameterDatum.cpp.

## Member Function Documentation

double SevenParameterDatum::rotationX | ( |  | ) | const

Definition at line 49 of file SevenParameterDatum.cpp.

double SevenParameterDatum::rotationY | ( |  | ) | const

Definition at line 55 of file SevenParameterDatum.cpp.

double SevenParameterDatum::rotationZ | ( |  | ) | const

Definition at line 61 of file SevenParameterDatum.cpp.

double SevenParameterDatum::scaleFactor | ( |  | ) | const

Definition at line 67 of file SevenParameterDatum.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/datum/SevenParameterDatum.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/datum/SevenParameterDatum.cpp